summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-x[-rw-r--r--]retiolum/Makefile1
-rwxr-xr-xretiolum/bin/apply-custom-hosts-patches8
2 files changed, 9 insertions, 0 deletions
diff --git a/retiolum/Makefile b/retiolum/Makefile
index a8ae0973..f3424dea 100644..100755
--- a/retiolum/Makefile
+++ b/retiolum/Makefile
@@ -29,3 +29,4 @@ startup:
hosts:
bin/update-retiolum-hosts || :;
+ sudo bin/apply-custom-hosts-patches
diff --git a/retiolum/bin/apply-custom-hosts-patches b/retiolum/bin/apply-custom-hosts-patches
new file mode 100755
index 00000000..2b2fda80
--- /dev/null
+++ b/retiolum/bin/apply-custom-hosts-patches
@@ -0,0 +1,8 @@
+#! /bin/sh
+set -euf
+
+patch=/etc/tinc/retiolum/hosts.patch
+
+if test -e $patch; then
+ patch -N -d /etc/tinc/retiolum/hosts -r - < $patch
+fi